# DataExchange
TKIGES
IGESBasic

# IGESBasic_SingleParent Class Reference

defines SingleParent, Type <402> Form <9>
in package IGESBasic
It defines a logical structure of one independent
(parent) entity and one or more subordinate (children)
entities

`#include <IGESBasic_SingleParent.hxx>`

Inheritance diagram for IGESBasic_SingleParent:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_SingleParent ()
Standard_EXPORT void | Init (const Standard_Integer nbParentEntities, const Handle(IGESData_IGESEntity)&aParentEntity, const Handle(IGESData_HArray1OfIGESEntity)&allChildren)
| This method is used to set the fields of the class SingleParent - nbParentEntities : Indicates number of Parents, always = 1 - aParentEntity : Used to hold the Parent Entity - allChildren : Used to hold the children .
Standard_EXPORT Standard_Integer | NbParentEntities () const
| returns the number of Parent Entities, which should be 1
Standard_EXPORT Handle_IGESData_IGESEntity | SingleParent () const
| Returns the Parent Entity (inherited method) .
Standard_EXPORT Standard_Integer | NbChildren () const
| returns the number of children of the Parent
Standard_EXPORT Handle_IGESData_IGESEntity | Child (const Standard_Integer Index) const
| returns the specific child as indicated by Index raises exception if Index <= 0 or Index > NbChildren()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbParentEntities
Handle_IGESData_IGESEntity | theParentEntity
Handle_IGESData_HArray1OfIGESEntity | theChildren

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_SingleParent::IGESBasic_SingleParent | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESBasic_SingleParent::Child | ( | const Standard_Integer | Index | ) | const`[virtual]`

| Implements IGESData_SingleParentEntity.

Standard_EXPORT const IGESBasic_SingleParent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_SingleParentEntity.

Standard_EXPORT void IGESBasic_SingleParent::Init | ( | const Standard_Integer | nbParentEntities,
|  | const Handle(IGESData_IGESEntity)& | aParentEntity,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allChildren
| ) |

Standard_EXPORT Standard_Integer IGESBasic_SingleParent::NbChildren | ( |  | ) | const`[virtual]`

| Implements IGESData_SingleParentEntity.

Standard_EXPORT Standard_Integer IGESBasic_SingleParent::NbParentEntities | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESBasic_SingleParent::SingleParent | ( |  | ) | const`[virtual]`

| Implements IGESData_SingleParentEntity.

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESBasic_SingleParent::theChildren `[private]`

Standard_Integer IGESBasic_SingleParent::theNbParentEntities `[private]`

Handle_IGESData_IGESEntity IGESBasic_SingleParent::theParentEntity `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_SingleParent.hxx